vidb(8)

NAME
vidb - manually edit SFS user-authentication database file

SYNOPSIS
vidb [-r] [-w] [-e editor] sfs-users-file

DESCRIPTION
vidb manually edits an SFS user-authentication file , acquiring locks to prevent concurrent updates from overwriting each other.

OPTIONS
vidb has the following options:

-r  Recovers from a previous edit session. vidb makes a copy of of sfs-users-file to be edited, named by appending .tmp to the file name. If an editing session crashes, vidb will refuse to run, as the old temporarly file may contain useful data that should not be deleted. With -r, however, vidb removes any old temporary file.

-w  The point of vidb is to avoid concurrent edits to the database and the corresponding inconsistencies that might result. Ordinarily, if the database is already being edited, vidb will just exit with an error message. The -w flag tells vidb to wait until it can acquire the lock on the database, and then run.

-e editor
    Specifies the editor to use for editing the file. The default is to use the command specified by the enviornment variable EDITOR. If there is no environment variable and -e is not specified, vidb uses vi.

SEE ALSO
dirsearch(1), newaid(1), rex(1), sfsagent(1), sfskey(1), ssu(1), sfs_config(5), sfs_srp_params(5), sfs_users(5), sfsauthd_config(5), sfscd_config(5), sfsrwsd_config(5), sfssd_config(5), funmount(8), sfsauthd(8), sfscd(8), sfsrwsd(8), sfssd(8)

The full documentation for SFS is maintained as a Texinfo manual. If the info and SFS programs are properly installed at your site, the command info SFS should give you access to the complete manual.

For updates, documentation, and software distribution, please see the SFS website at http://www.fs.net.

BUGS
vidb should really recreate any publicly-readable versions of user authentication databases (either by parsing sfsauthd_config for -pub=... options to Userfile directives or signaling sfsauthd). Currently you must manually kill sfssd or sfsauthd for this to happen.

AUTHOR
sfsdev@redlab.lcs.mit.edu